#!/bin/sh

cd linux/

VERSION=`cat Makefile | grep -E '^VERSION.=' | cut -d "=" -f 2- | tr -d " \t\n\r"`
PATCHLEVEL=`cat Makefile | grep PATCHLEVEL.= | cut -d "=" -f 2- | tr -d " \t\n\r"`
SUBVERSION=`cat Makefile | grep SUBLEVEL.= | cut -d "=" -f 2- | tr -d " \t\n\r"`
export ARCH=arm64
export LOCALVERSION="+c2"
export KBUILD_DEBARCH=arm64
export KDEB_PKGVERSION="${VERSION}.${PATCHLEVEL}.${SUBVERSION}-20180330-c2"

KDEB_PKG_TASK=deb-pkg
if grep -q bindeb-pkg scripts/package/Makefile ; then
  KDEB_PKG_TASK=bindeb-pkg
fi

echo "Building ${KDEB_PKGVERSION}..."

make -j4 LOCALVERSION="${LOCALVERSION}" ARCH=${ARCH} Image modules
make LOCALVERSION="${LOCALVERSION}" ARCH=${ARCH} dtbs

make LOCALVERSION="${LOCALVERSION}" ARCH=${ARCH} headers_check 
make LOCALVERSION="${LOCALVERSION}" ARCH=${ARCH} scripts

make -j1 ${KDEB_PKG_TASK} KDEB_PKGVERSION="${KDEB_PKGVERSION}" LOCALVERSION="${LOCALVERSION}" ARCH=${ARCH} \
  KBUILD_IMAGE="Image" KBUILD_DEBARCH=${KBUILD_DEBARCH} \
  DEBFULLNAME="BSP" \
  DEBEMAIL="developer@build.local"

cd ..

mkdir -p dbg
mv linux-*${BSP_MODEL}*-dbg*_${KDEB_PKGVERSION}_*.deb dbg/ || true

echo linux-image-${KDEB_PKGVERSION}-${KBUILD_DEBARCH}.zip
zip linux-image-${KDEB_PKGVERSION}-${KBUILD_DEBARCH}.zip install-linux.sh linux-*_${KDEB_PKGVERSION}_*.deb 10-efuse.rules

echo OK
